# Вы получаете ввод числа от пользователя
#
# Построить цикл от 0 до введенного числа (включительно) и посчитать сумму всех чисел,
# делимых без остатка на 3 или(!) 5. Вывести на консоль это число.
#
# Задачу решить 2-мя способами: циклом for и с помощью list comprehension
# (просуммировать числа "профильтрованного" списка можно, передав список
# в функцию sum(arg_list))

# #Вариант №1
# customer_num = int(input("Введите число: "))
# sum = 0
#
# for v in range(0, customer_num + 1):
#     if v % 3 == 0:
#         sum += v
#     elif v % 5 == 0:
#         sum += v
# print(sum)


# Вариант №2
customer_num = int(input("Введите число: "))
sum_ = 0

pairs = [v for v in range(0, customer_num+1) if v % 3 == 0 or v % 5 == 0]

sum_ = sum(pairs)
print(sum_)
